Skip to main content
GET
/
api
/
dataproduct
Retrieves a list of data products
curl --request GET \
  --url https://api.example.com/api/dataproduct \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "role_name": "<string>",
    "query": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_view": true,
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "external_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Retrieved views successfully.

name
string
required

Name of the view.

role_name
string
required

Role associated with this view.

query
string
required

SQL query or definition of the view.

id
string<uuid> | null

Unique ID of the view.

is_view
boolean
default:true

Flag indicating if this record is a view.

created_at
string<date-time>

Timestamp when the view was created.

created_by
string | null

Email or identifier of the creator of the view.

external_id
string | null

Optional external identifier for the view.